
<div class="row center-align padding-top-large">
    <div class="col s3">
        <div class="row summary-metric-value">
            {{ total('invested') | currency:'USD':true:'1.0' }}
        </div>
        <div class="row summary-metric-name">
            Inversión
        </div>
    </div>
    <div class="col s3">
        <div class="row summary-metric-value">
            {{ total('performance') | currency:'USD':true:'1.0' }}
        </div>
        <div class="row summary-metric-name">
            Rendimiento
        </div>
    </div>
    <div class="col s3">
        <div class="row summary-metric-value">
            {{ total('total') | currency:'USD':true:'1.0' }}
        </div>
        <div class="row summary-metric-name">
            Total
        </div>
    </div>
    <div class="col s3">
        <div *ngIf="atLeastOneGoal()"
             class="row summary-metric-value"
             title="Condicional a inversiones con metas">
            {{ total('goalPercentage') }} %
        </div>
        <div *ngIf="!atLeastOneGoal()"
             class="row summary-metric-value"
             title="Aún no tienes inversiones con metas">
            NA
        </div>
        <div class="row summary-metric-name">
            Metas
        </div>
    </div>
</div>

<div *ngIf="!investmentsExist()" class="row center-align">
    <div class="col s12">
        <a routerLink="/nueva-inversion">
            <button class="btn waves-effect waves-light attention-button">
                Nueva inversión
            </button>
        </a>
    </div>
</div>

<div class="row padding-top-medium">
    <ul class="collapsible popout"
        data-collapsible="expandable"
        (click)="reloadTabs()">
        <li *ngFor="let investment of investments">
            <div class="collapsible-header">
                <app-investment-header [investment]="investment">
                </app-investment-header>
            </div>
            <div class="collapsible-body">
                <app-investment-body [investment]="investment">
                </app-investment-body>
            </div>
        </li>
    </ul>
</div>
